org.eclnt.jsfserver.util

## Class ClientGridData

- java.lang.Object
- - org.eclnt.jsfserver.util.ClientGridData

-     public class ClientGridData
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientGridData()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientGridData` | `addColumn(java.lang.String title, java.lang.String width)`
    `ClientGridData` | `addColumn(java.lang.String title, java.lang.String width, java.lang.String minScreenWidth, boolean demandPopin)`
    `ClientGridData` | `addRow(ClientGridDataRow row)`
    `java.lang.String` | `getConfigXML()`
    `java.lang.String` | `getDemandPopins()`
    `java.lang.String` | `getMinScreenWidths()`
    `java.lang.String` | `getModelXML()`
    `java.util.List<ClientGridDataRow>` | `getRows()`
    `java.lang.String` | `getTitles()`
    `java.lang.String` | `getWidths()`
    `static void` | `main(java.lang.String[] args)`
    `void` | `setRows(java.util.List<ClientGridDataRow> rows)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientGridData

          public ClientGridData()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

    - #### getRows

          public java.util.List<ClientGridDataRow> getRows()

    - #### setRows

          public void setRows(java.util.List<ClientGridDataRow> rows)

    - #### addColumn

          public ClientGridData addColumn(java.lang.String title,
                                          java.lang.String width)

    - #### addColumn

          public ClientGridData addColumn(java.lang.String title,
                                          java.lang.String width,
                                          java.lang.String minScreenWidth,
                                          boolean demandPopin)

    - #### getTitles

          public java.lang.String getTitles()

    - #### getWidths

          public java.lang.String getWidths()

    - #### getMinScreenWidths

          public java.lang.String getMinScreenWidths()

    - #### getDemandPopins

          public java.lang.String getDemandPopins()

    - #### addRow

          public ClientGridData addRow(ClientGridDataRow row)

    - #### getConfigXML

          public java.lang.String getConfigXML()

    - #### getModelXML

          public java.lang.String getModelXML()

Copyright © CaptainCasa Gmbh. All Rights Reserved.